
Foreman - Feature #22346

Vmware VCloud Director Support

01/21/2018 08:28 AM - Christian Setzer

Status: Needs design   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I know there has been an effort years ago to support vmware vcloud director which resulted in dropping it.

our company is currently moving towards the use of vcloud director 9 for production and are dropping the support of vsphere

provisioning.

it would really be nice to see vcloud support in upcoming foreman releases since the API also has increased capabilities and we

think its now possible to integrate it.

products like terraform already have basic support for it but we want to use foreman for provisioning.

Related issues:

Has duplicate Foreman - Feature #12046: vCloud Air compute resource Duplicate 10/02/2015

Has duplicate Foreman - Feature #3203: Request for vCloud Director support Closed 10/04/2013

History

#1 - 01/21/2018 08:28 AM - Christian Setzer

- Tracker changed from Bug to Feature

#2 - 01/21/2018 12:31 PM - Ivan Necas

- Category set to Compute resources - VMware

#3 - 01/22/2018 01:35 PM - Anonymous

- Status changed from New to Needs design

- Priority changed from High to Normal

https://github.com/fog/fog - vcloud_director is basically stale since almost two years and there seems not even any activity to extract it to its own

provider gem, so I'd say the very first step needed for this would be to get the fog side tidied up and updated. Before that, it makes no sense to even

look into starting something on the Foreman side, IMHO.

#4 - 01/22/2018 01:38 PM - Anonymous

- Has duplicate Feature #12046: vCloud Air compute resource added

#5 - 01/22/2018 01:38 PM - Anonymous

- Has duplicate Feature #3203: Request for vCloud Director support added
